package test

import (
	"server/game"
	limitedTimeEvent "server/game/mod/limited_time_event"
	"testing"
)

func TestMetroRain(t *testing.T) {
	// 3625212
	p := new(game.Player)
	p.InitPlayer("3625212")
	ChessMod := p.GetChessMod()
	LimitEventMod := p.GetLimitEventMod()
	rewards := LimitEventMod.GetMeteorReward([]int{1, 22, 3}, ChessMod.GetStarEmitList())
	t.Logf("rewards: %v", rewards)
}

func TestFast(t *testing.T) {
	p := new(game.Player)
	p.InitPlayer("3625212")
	LimitEventMod := p.GetLimitEventMod()
	LimitEventMod.AddEvent(limitedTimeEvent.EVENT_TYPE_FAST_PRODUCE, 60)
	items, err := LimitEventMod.GetFastProduceReward(50)
	if err != nil {
		t.Errorf("GetFastProduceReward error: %v", err)
		return
	}
	t.Logf("Fast produce items: %v", items)
}
